'use strict';

var motionValue = require('../interfaces/motion-value.js');
var index = require('../../value/index.js');
var isMotionValue = require('../../value/utils/is-motion-value.js');

function animateSingleValue(value, keyframes, options) {
    const motionValue$1 = isMotionValue.isMotionValue(value) ? value : index.motionValue(value);
    motionValue$1.start(motionValue.animateMotionValue("", motionValue$1, keyframes, options));
    return motionValue$1.animation;
}

exports.animateSingleValue = animateSingleValue;
